#include <avr/io.h>
#include <avr/delay.h>

//uC Takt in Hertz (wird fr die Delay Routine gebraucht --> blinkende LED)
#define F_CPU 8000000

//Soll eine Statusled verwendet werden?
#define STATUS_LED_SUPPORT 1

//LED Pins, falls angeschlossen
#define LED_DIRECTION	DDRD
#define LED_PORT	PORTD
#define LED_PIN		PD4


void led_flash(uint8_t flashes){

	LED_DIRECTION |= 1<<LED_PIN;
		
	while(flashes--){
		_delay_ms(500);
		LED_PORT &= ~(1<<LED_PIN);
		_delay_ms(500);
		LED_PORT |= 1<<LED_PIN;
	}

}

	
int main(void){
	
	while(1)led_flash(5);	
	while(1);
}
